Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Task Management

Get
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}
Get the task with ID taskId in a module with ID moduleId.

All types of tasks can be queried with this endpoint: standalone tasks, recurrence containers as well as individual tasks in a recurring series.
These types can be differentiated by the following properties:
  • Recurrence container - has recurrence property
  • Recurrence task - has parentIssueToken property
  • Standalone task - does not have recurrence or parentIssueToken properties
recurrence is based on iCalendar RFC 5545 standard and defines how the system creates a list of tasks in a series.

There are the following assignee types:
  • Everyone - all users that have access to the task are required to complete it.
    NOTE: assigneeIds property is not populated in such scenario.
  • ByDepartmentType - at least one user per department type is required, with hierarchical departments included if they exist. assignedDepartmentType property is populated and assigneeIds property is not populated in such cases.
  • SelectedUsers_AtLeastOne - at least one user listed in assigneeIds is required to complete the task.
  • SelectedUsers_RequireAll - all users listed in assigneeIds are required to complete the task.
For more information on permissions and recurrence rules visit their respective concept pages.
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The tasks's unique identifier required
Responses
application/json
JSON
{"data":{"id":"522eca9b-24d2-4b6c-b3b7-99f4618fe0bd","name":"Internal name","recurrence":"FREQ=DAILY;DTSTART=20251010T130000;INTERVAL=1;COUNT=2","parentId":null,"locales":[{"culture":"en-GB","title":"Title 1","summary":"Summary 1"},{"culture":"da-DK","title":"Title 2","summary":"Summary 2"}],"categoryIds":["3ecda545-39af-44e5-a7b9-aac9925fcb75","31af3da8-2a8c-4666-a95d-91042ff587f1"],"availableFrom":"2025-10-10T13:00:00","availableFromTimeZone":"FLE Standard Time","availableUntil":"2025-10-10T14:00:00","availableUntilTimeZone":"FLE Standard Time","subtaskIds":["5f719105-24c5-4f74-8b23-5341b075e9b1","e700187c-fc6d-4e83-b2a6-434db29ded3c"],"serviceFormId":null,"medias":[{"id":"a5930f2d-6572-41f3-a591-ad566e416ee1","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"},{"id":"f27564a7-3e29-4321-a178-7d7735826e07","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"}],"permissions":[{"departments":[{"url":null,"name":"Department 1","id":"499f9ef0-82f8-4a43-8988-279494ddec6a"},{"url":null,"name":"Department 2","id":"d301e139-fe30-4893-ae43-953900b043a8"}],"userGroups":[{"url":null,"name":"User group 1","id":"94c715be-d295-498d-9fa0-b5a03c963f09"},{"url":null,"name":"User group 2","id":"057c07ba-044e-404e-ba74-ad28d3b5cc0a"}],"requireAllUserGroups":false}],"status":"Published","assigneeType":"SelectedUsers_AtLeastOne","assigneeIds":["d29edd70-2224-4e9c-8ebf-412bd78c29a7","b966b9ed-6b69-449b-9ca0-98bfca35a2e1"],"assignedDepartmentType":null,"notifyManagerOfDepartmentType":"Country","reminderDueSoonIntervalInDays":1,"reminderIntervalInDays":null,"lockByAvailableFrom":false,"lockByAvailableUntil":true,"hideAuthor":false,"disableComments":false,"isUnsynchronizedWithParent":null,"creationDateTime":"2025-10-09T13:00:00+00:00","lastModifiedDateTime":null}}
object
  ⯈ data object      
   assignedDepartmentType string      
   assigneeIds array[string / guid]      
   assigneeType string      
   availableFrom string      
   availableFromTimeZone string      
   availableUntil string      
   availableUntilTimeZone string      
   categoryIds array[string / guid]      
   creationDateTime datetimeoffset      
   disableComments boolean      
   hideAuthor boolean      
   id string / guid      
   isUnsynchronizedWithParent boolean      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    summary string      
    title string      
   lockByAvailableFrom boolean      
   lockByAvailableUntil boolean      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   notifyManagerOfDepartmentType string      
   parentId string / guid      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   recurrence string      
   reminderDueSoonIntervalInDays integer      
   reminderIntervalInDays integer      
   serviceFormId string / guid      
   status string      
   subtaskIds array[string / guid]